raptor-config(1)

NAME
raptor-config - script to get information about the installed version of Raptor

SYNOPSIS
raptor-config [--cflags] [--options] [--help] [--libs] [--libtool-libs] [--private-libs] [--prefix[=DIR]] [--version-decimal] [--version]

DESCRIPTION
raptor-config is a tool that is used to determine the compile and linker flags that should be used to compile and link programs that use the Raptor RDF parser library.

OPTIONS
raptor-config accepts the following options:

--cflags
    Print the compiler flags that are necessary to compile a raptor program.

--options
    Print raptor compiled options such as parsers and serializers available, the XML parser used (if any) and the WWW retrieval library used (if any).

--help
    Print a help message summarising usage.

--libs
    Print the linker flags that are necessary to link a raptor program. This excludes linker arguments used to build the raptor shared library.

--libtool-libs
    Print the path to the libtool file for raptor.

--private-libs
    Print the linker flags that are necessary to build the raptor shared library. This option is not usually needed because the raptor shared library has already been dynamically linked against these flags.

--prefix=PREFIX
    If specified, use PREFIX instead of the installation prefix that raptor was built with when computing the output for the --cflags and --libs options. This option must be specified before any --libs or --cflags options.

--version
    Print the currently installed version of raptor on the standard output.

--version-decimal
    Print the currently installed version of raptor as a decimal integer.

SEE ALSO
libraptor(3)

AUTHOR
Dave Beckett - http://www.dajobe.org/ (http://www.dajobe.org/)